#!/bin/bash
rm -v f90wrap*f9*

echo "*** Compiling dependent components ***"

for f in dev_* ; do 
    if [[ $f = *".f90" ]] || [[ $f = *".incf" ]] ; then
        echo $f
        sed '/^[[:blank:]]*!/d;s/!.*//' $f > $f.tmp
        sed '/^[[:space:]]*$/d' $f.tmp > ${f:4}ls 
        rm $f.tmp
    fi
done

gfortran -c data_parameters.f90
gfortran -c flake_configure.f90	
gfortran -c flake_parameters.f90 
gfortran -c flake_derivedtypes.f90
gfortran -c flake_albedo_ref.f90
gfortran -c flake_paramoptic_ref.f90
gfortran -c flake.f90						
gfortran -c SfcFlx.f90					
gfortran -c src_flake_interface_1D.f90

#f2py -c *.f90 -m flake-interface
rm .f2py_f2cmap
echo "{'reals':{ 'SELECTED_REAL_KIND (12,200)':'double', 'KIND(1)':'int', 'ireals':'double', 'iintegers':'int'}}" > .f2py_f2cmap #'iintegers':'int', 'ireals':'double' 

f90wrap -k .f2py_f2cmap -m flake_module SfcFlx.f90 data_parameters.f90 flake.f90 flake_albedo_ref.f90 flake_configure.f90 flake_parameters.f90 flake_paramoptic_ref.f90 src_flake_interface_1D.f90
sed -i -- 's/real(4)/real(8)/g' f90wrap_*.f90
f2py-f90wrap -c -m _flake_module f90wrap_*.f90 *.o