#!/usr/bin/env python3
# -*- coding: utf-8 -*-

"""
@author: Zoe Rehder

compile hydrological module of MeEP
"""

from setuptools import setup, find_packages
from setuptools.extension import Extension
from Cython.Build import cythonize
import numpy

extensions = [
    Extension(
        "hydrologie_main",
        ["hydrologie_main.pyx"],
         include_dirs=[numpy.get_include()]
    ),
]

setup(
    name = "hydrologie_main.pyx",
    include_dirs=[numpy.get_include()],
    packages = find_packages(),
    ext_modules = cythonize(extensions, annotate=True, 
                            compiler_directives={'language_level' : "3"})
)