#!/usr/bin/env python3
# -*- coding: utf-8 -*-

"""
@author: Zoe Rehder

compile methane module of MeEP
"""

from setuptools import setup, find_packages
from setuptools.extension import Extension
from Cython.Build import cythonize
import numpy

extensions = [
    Extension(
        "function_FLake_ice_plant_cy",
        ["function_FLake_ice_plant_cy.pyx"],
         include_dirs=[numpy.get_include(), '.']
    ),
]

setup(
    name = ["function_FLake_ice_plant_cy.pyx"],
    packages = find_packages(),
    ext_modules = cythonize(extensions, annotate=True, 
                            compiler_directives={'language_level' : "3"})
)



