#!/usr/bin/env python3
# -*- coding: utf-8 -*-

"""
@author: Zoe Rehder

compile soil heat module of MeEP
"""

from setuptools import setup, find_packages
from setuptools.extension import Extension
from Cython.Build import cythonize
import numpy

version = 'Cryo_forFlake_commonsurface_cy'

extensions = [
    Extension(
        version,
        [version+".pyx"],
         include_dirs=[numpy.get_include()]
    ),
]

setup(
    name = version+".pyx",
    include_dirs=[numpy.get_include()],
    packages = find_packages(),
    ext_modules = cythonize(extensions, annotate=True, 
                            compiler_directives={'language_level' : "3"})
)